Debian Bug report logs - #620847
Keep shipping smbfs package with smbfs wrappers?

version graph

Package: smbfs; Maintainer for smbfs is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>;

Reported by: Luk Claes <luk@debian.org>

Date: Mon, 4 Apr 2011 16:42:02 UTC

Severity: normal

Fixed in version cifs-utils/2:5.4-1

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#620847; Package smbfs. (Mon, 04 Apr 2011 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 04 Apr 2011 16:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Subject: Keep shipping smbfs package with smbfs wrappers?
Date: Mon, 04 Apr 2011 18:32:25 +0200
Package: smbfs

On 04/02/2011 08:28 PM, Steve Langasek wrote:
> On Sat, Apr 02, 2011 at 05:50:45PM +0200, Luk Claes wrote:
>> Should we continue to provide an smbfs binary package with smbfs
>> wrappers? If not, now might be a good time to get rid of the smbfs package?
> 
> I don't think we need the wrapper anymore, but the cifs-utils package wasn't
> in Ubuntu 10.04 LTS; so it would be nice to keep the 'smbfs' transitional
> package around until 12.04 LTS to give a smooth upgrade there.  Of course,
> if you feel strongly about dropping it from the Debian archive now, Ubuntu
> can carry that as a delta.

Keeping it till next year is doable, so lets keep it till 12.04 LTS is
released. Though I'll open a bug to not forget about it :-)

Cheers

Luk




Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 17:03:10 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 17:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 620847-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 620847-close@bugs.debian.org
Subject: Bug#620847: fixed in cifs-utils 2:5.4-1
Date: Sun, 13 May 2012 17:02:26 +0000
Source: cifs-utils
Source-Version: 2:5.4-1

We believe that the bug you reported is fixed in the latest version of
cifs-utils, which is due to be installed in the Debian FTP archive:

cifs-utils_5.4-1.debian.tar.gz
  to main/c/cifs-utils/cifs-utils_5.4-1.debian.tar.gz
cifs-utils_5.4-1.dsc
  to main/c/cifs-utils/cifs-utils_5.4-1.dsc
cifs-utils_5.4-1_i386.deb
  to main/c/cifs-utils/cifs-utils_5.4-1_i386.deb
cifs-utils_5.4.orig.tar.bz2
  to main/c/cifs-utils/cifs-utils_5.4.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620847@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated cifs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 18:39:07 +0200
Source: cifs-utils
Binary: cifs-utils
Architecture: source i386
Version: 2:5.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 cifs-utils - Common Internet File System utilities
Closes: 620847 669327
Changes: 
 cifs-utils (2:5.4-1) unstable; urgency=low
 .
   * New upstream release (Closes: #669327).
     - Version build dep on libwbclient-dev for wbclient.pc file
     - Add 01_use_rc.patch to fix building.
     - Add 02_add_D_FORTIFY_SOURCE.patch to fix building.
   * Drop smbfs binary package (Closes: #620847).
Checksums-Sha1: 
 b45e464251d1201ab202e82ac16be88fff79546a 1548 cifs-utils_5.4-1.dsc
 cbe89a4eb298113a926cb49d908a33f3484bdf73 381416 cifs-utils_5.4.orig.tar.bz2
 22c391fdf619a57c1901c273d220a6785d3e104e 5621 cifs-utils_5.4-1.debian.tar.gz
 9c1cf405c3ee0ac59beca0d804e37fd42b504a84 73352 cifs-utils_5.4-1_i386.deb
Checksums-Sha256: 
 e0a49786209e16bd158dbbaa70cb1c9b182070b75faf7d1dd356faf2a84b2bc4 1548 cifs-utils_5.4-1.dsc
 f6c267e4cfb111ab47a6e85a802373475edaab31d76eab4e7927ea6fe82e7f7b 381416 cifs-utils_5.4.orig.tar.bz2
 d390275a4f9d56f11cfff0b5a4658f370cc46a7ff359b73cf05378d0a3b958e6 5621 cifs-utils_5.4-1.debian.tar.gz
 32be30ebd8b8c0a79138ac4a0ed2378d656077c634cf7dc42026421611b56e38 73352 cifs-utils_5.4-1_i386.deb
Files: 
 9a4010029ff3da600dfc2343ce4be8c6 1548 otherosfs optional cifs-utils_5.4-1.dsc
 dde98336c833b59777114145cb8f3c64 381416 otherosfs optional cifs-utils_5.4.orig.tar.bz2
 0a4462ad10b39384871e853a927b2d5d 5621 otherosfs optional cifs-utils_5.4-1.debian.tar.gz
 3c1121b2b61f517a52af32d03c4ba34b 73352 otherosfs optional cifs-utils_5.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+v5c4ACgkQ5UTeB5t8Mo34lgCgtRQT8tfHFoUZAH8AosNz3atQ
cf8AoMN6Cvd0lKYvMisnupfXpfsQmiCD
=RE2w
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#620847; Package smbfs. (Thu, 24 May 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 24 May 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 620847@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Luk Claes <luk@debian.org>, 620847@bugs.debian.org
Subject: Re: Bug#620847: Keep shipping smbfs package with smbfs wrappers?
Date: Thu, 24 May 2012 02:21:14 +0200
[Message part 1 (text/plain, inline)]
Hi Luk.

Luk Claes <luk@debian.org> (04/04/2011):
> Package: smbfs
> 
> […]
> 
> Keeping it till next year is doable, so lets keep it till 12.04 LTS is
> released. Though I'll open a bug to not forget about it :-)

You need to get that decrufted AFAICT:
| cifs-utils (2:5.3-2 to 2:5.4-2)
| 
|     Maintainer: Debian Samba Maintainers
|     4 days old (needed 2 days)
|     out of date on armel: smbfs (from 2:5.3-2)
|     out of date on armhf: smbfs (from 2:5.3-2) (but armhf isn't keeping up, so nevermind)
|     Not considered 

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#620847; Package smbfs. (Thu, 24 May 2012 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 24 May 2012 05:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 620847@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 620847@bugs.debian.org
Subject: Re: Bug#620847: Keep shipping smbfs package with smbfs wrappers?
Date: Thu, 24 May 2012 07:16:01 +0200
Hi KiBi

Right, though decrufting should happen semi-automatically:

http://ftp-master.debian.org/cruft-report-daily.txt

Feel free to prod a FTP Team member though.

Cheers

Luk

On 05/24/2012 02:21 AM, Cyril Brulebois wrote:
> Hi Luk.
> 
> Luk Claes <luk@debian.org> (04/04/2011):
>> Package: smbfs
>> 
>> […]
>> 
>> Keeping it till next year is doable, so lets keep it till 12.04
>> LTS is released. Though I'll open a bug to not forget about it
>> :-)
> 
> You need to get that decrufted AFAICT: | cifs-utils (2:5.3-2 to
> 2:5.4-2) | |     Maintainer: Debian Samba Maintainers |     4 days
> old (needed 2 days) |     out of date on armel: smbfs (from
> 2:5.3-2) |     out of date on armhf: smbfs (from 2:5.3-2) (but
> armhf isn't keeping up, so nevermind) |     Not considered
> 
> Mraw, KiBi.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#620847; Package smbfs. (Thu, 24 May 2012 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 24 May 2012 07:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 620847@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 620847@bugs.debian.org
Subject: Re: Bug#620847: Keep shipping smbfs package with smbfs wrappers?
Date: Thu, 24 May 2012 09:52:15 +0200
[Message part 1 (text/plain, inline)]
Hello,

Luk Claes <luk@debian.org> (24/05/2012):
> Right, though decrufting should happen semi-automatically:
> 
> http://ftp-master.debian.org/cruft-report-daily.txt
> 
> Feel free to prod a FTP Team member though.

sooner when one asks. ;-) Given the urgency, I thought it would make some
sense. Decrufted in time for the 0752 dinstall run.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:40:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:22:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.